package examenes.examen20250321.modelo;

import java.util.Date;

public class Inquilino {
    private int id;
    private String dni;
    private String nombreCompleto;
    private Date fechaInicioAlquiler;
    private Date fechaFinAlquiler;
    private float cuotaMensual;
    private int idVivienda;
    private int idTipoMorosidad;

    public Inquilino() {
    }

    public Inquilino(int id, String dni, String nombreCompleto, Date fechaInicioAlquiler, Date fechaFinAlquiler, float cuotaMensual, int idVivienda, int idTipoMorosidad) {
        this.id = id;
        this.dni = dni;
        this.nombreCompleto = nombreCompleto;
        this.fechaInicioAlquiler = fechaInicioAlquiler;
        this.fechaFinAlquiler = fechaFinAlquiler;
        this.cuotaMensual = cuotaMensual;
        this.idVivienda = idVivienda;
        this.idTipoMorosidad = idTipoMorosidad;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getDni() {
        return dni;
    }

    public void setDni(String dni) {
        this.dni = dni;
    }

    public String getNombreCompleto() {
        return nombreCompleto;
    }

    public void setNombreCompleto(String nombreCompleto) {
        this.nombreCompleto = nombreCompleto;
    }

    public Date getFechaInicioAlquiler() {
        return fechaInicioAlquiler;
    }

    public void setFechaInicioAlquiler(Date fechaInicioAlquiler) {
        this.fechaInicioAlquiler = fechaInicioAlquiler;
    }

    public Date getFechaFinAlquiler() {
        return fechaFinAlquiler;
    }

    public void setFechaFinAlquiler(Date fechaFinAlquiler) {
        this.fechaFinAlquiler = fechaFinAlquiler;
    }

    public float getCuotaMensual() {
        return cuotaMensual;
    }

    public void setCuotaMensual(float cuotaMensual) {
        this.cuotaMensual = cuotaMensual;
    }

    public int getIdVivienda() {
        return idVivienda;
    }

    public void setIdVivienda(int idVivienda) {
        this.idVivienda = idVivienda;
    }

    public int getIdTipoMorosidad() {
        return idTipoMorosidad;
    }

    public void setIdTipoMorosidad(int idTipoMorosidad) {
        this.idTipoMorosidad = idTipoMorosidad;
    }

    @Override
    public String toString() {
        return "Inquilino{" +
                "id=" + id +
                ", dni='" + dni + '\'' +
                ", nombreCompleto='" + nombreCompleto + '\'' +
                ", fechaInicioAlquiler=" + fechaInicioAlquiler +
                ", fechaFinAlquiler=" + fechaFinAlquiler +
                ", cuotaMensual=" + cuotaMensual +
                ", idVivienda=" + idVivienda +
                ", idTipoMorosidad=" + idTipoMorosidad +
                '}';
    }
}
